Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class EclipseLauncherTabGroup

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
          org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup
              org.eclipse.pde.ui.launcher.EclipseLauncherTabGroup

All Implemented Interfaces:
  ILaunchConfigurationTabGroup

    public class EclipseLauncherTabGroup

extends AbstractPDELaunchConfigurationTabGroup

Creates and initializes the tabs for the Eclipse Application launch configuration.

This class may be instantiated or subclassed by clients.

Since:
  3.3

Field Summary

Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
`fTabs`

Constructor Summary
`EclipseLauncherTabGroup()`

Method Summary
`void` `createTabs(ILaunchConfigurationDialog dialog, String mode)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`

Methods inherited from class org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup
`initializeFrom, setDefaults`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
`dispose, getTabs, launched, setTabs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipseLauncherTabGroup

    public EclipseLauncherTabGroup()

Method Detail

### createTabs

    public void createTabs(ILaunchConfigurationDialog dialog,
                           String mode)

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

  Specified by:
    `performApply` in interface `ILaunchConfigurationTabGroup`
  Overrides:
    `performApply` in class `AbstractLaunchConfigurationTabGroup`
  Since:
    3.4

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.